# Google Seller Rating

Fetching Google Seller Ratings, e.g. amazon.com -> rating: 4.2, reviews: 56312.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'google-seller-rating'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install google-seller-rating

## Usage

```ruby

require 'google_seller_rating'

merchant         = GoogleSellerRating::Api.new

merchant.domain  = "http://www.amazon.com/"
merchant.timeout = 2 # Set Timeout in seconds || Default: 5sec
merchant.format  = "hash" # Format: hash || json Default: json
merchant.tld     = "com" # e.g. google.com Default: com

merchant.rating # Show ratings

GoogleSellerRating::Api.new(format: "json", domain: "http://www.apple.de/", timeout: 5, tld: "de").rating
{"format":"json","status":"OK","google":"de","domain":"apple.de","rating":"2.3","reviews":31}

GoogleSellerRating::Api.new(format: "hash", domain: "http://www.apple.de/", timeout: 5, tld: "de").rating
{:format=>"hash", :status=>"OK", :google=>"de", :domain=>"apple.de", :rating=>"2.3", :reviews=>31}
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release` to create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

1. Fork it ( https://github.com/axcr/google-seller-rating/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
